Bug 130107 - mkinitrd & nash
mkinitrd & nash
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: mkinitrd (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-08-17 03:19 EDT by facs
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-18 12:00:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description facs 2004-08-17 03:19:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 4.0)

Description of problem:
I have downloaded the source code of mkinitrd, I have applied the 
--- mkinitrd-3.5.13/mkinitrd.BAD        2004-05-11 
22:12:55.918825872 -0500+++ mkinitrd-3.5.13/mkinitrd    2004-05-11 
22:14:46.579002968 -0500@@ -399,6 +399,10 @@            findmodule 
linear            startraid=1            ;;+       multipath)
+           findmodule multipath+           
startraid=1+           ;;        raid[0145])            findmodule 
$level            startraid=1
and i have created the new rpm and I have installed it on my system.
After this operations, mkinitrd insert on file linuxrc the commands:
raidautorun /dev/md0
raidautorun /dev/md1
raidautorun /dev/md2
raidautorun /dev/md3
on boot the shell nash run the commands raidautorun but the meta 
devices doesn't start.
Can anyone help me?
Thanks a lot

Version-Release number of selected component (if applicable):
mkinitrd-3.5.13-1a [mkinitrd-3.5.13-1 + patch]

How reproducible:

Steps to Reproduce:
1.boot server

Actual Results:  the meta devices /dev/md0 /dev/md1 /dev/md2 /dev/md3 
doesn't start

Additional info:
Comment 1 Jeremy Katz 2004-08-18 12:00:46 EDT
It's possible the kernel doen't know how to autostart multipath
devices.  mkinitrd doesn't do these as such by default, though and
it's not something I can really support.

Note You need to log in before you can comment on or make changes to this bug.